<?php
/*----------------------------------------------------+
|            Audit Trail For PHP-Fusion     
|-----------------------------------------------------+
| BY EDAN BOY PEDRAGOSA "alias" HACKERSOFT
| Web: http://hackersoft.ath.cx/
| email: hackersoft@yours.com                     
|----------------------------------------------------+
| Released under the terms and conditions of  
| the GNU General Public License              
+----------------------------------------------------*/

require_once "../../maincore.php";
require_once ADMIN."subheader.php";
require_once ADMIN."navigation.php";

if (iSUPERADMIN){

if (file_exists(INFUSIONS."audit_trail/locale/".$settings['locale'].".php")) {
	include INFUSIONS."audit_trail/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."audit_trail/locale/English.php";
}


if ($cleanMeUp){
	$compareTime = time() - ($timeLimitValue * $timeLimit);  
	$auditResult = dbquery("SELECT * FROM ".$db_prefix."audit_trail WHERE at_Date<$compareTime");
	$rows = dbrows($auditResult);
	$sendMessage = "<hr><center><font color='blue'>" . number_format($rows, 0, '', ',') . $locale['at_016'] . "</font>";
	$auditResult = dbquery("DELETE FROM ".$db_prefix."audit_trail WHERE at_Date<$compareTime");
} elseif ($checkRecords) {
	$compareTime = time() - ($timeLimitValue * $timeLimit);  
	$auditResult = dbquery("SELECT * FROM ".$db_prefix."audit_trail WHERE at_Date<$compareTime");
	$rows = dbrows($auditResult);
	$sendMessage = "<hr><center><font color='blue'>" . number_format($rows, 0, '', ',') . $locale['at_017'] . "</font>";
} else {
	$timeLimitValue = $locale['defaultTimeLimitValue'];
	$timeLimit = $locale['defaultTimeLimit'];
}

opentable($locale['at_011']);
echo "<form name='TruncateData' method=post action='$_SERVER[PHP_SELF]'>
	<table align='center'>
		<tr>
		<td>".$locale['at_012']."</td>
		<td><input name='timeLimitValue' id='timeLimitValue' type=text value='$timeLimitValue' style='width:80px;'></td>
		<td>".$locale['at_013']."</td>
		<td><select name='timeLimit' id='timeLimit' style='width:80px;'>";
	for ($i=0;$i < count($durationFactor);$i++){
		echo "<option value='".$durationFactorValues[$i]."'";
		if ($durationFactorValues[$i]==$timeLimit){
		echo " selected ";
		}
		echo ">".$durationFactor[$i]."</option>\n";
	}
	echo "</select></td>
		<td><input name='checkRecords' type='submit' value='".$locale['at_015']."'></td>
		<td><input name='cleanMeUp' type='submit' value='".$locale['at_014']."'></td>
		</tr>
	</table>
</form>";

echo $sendMessage;

closetable();
tablebreak();

$auditResult = dbquery("SELECT * FROM ".$db_prefix."audit_trail ORDER BY at_Date DESC");
$rows = dbrows($auditResult);

if (!isset($rowstart) || !isNum($rowstart)) $rowstart = 0; 
$auditResult = dbquery("SELECT * FROM ".$db_prefix."audit_trail ORDER BY at_Date DESC LIMIT $rowstart,7");

opentable($locale['at_msg01'] . " (" . number_format($rows, 0, '', ',') . $locale['at_018']);
echo "<center>".makepagenav($rowstart,7,$rows,10,FUSION_SELF."?")."</center>";

	echo "<table class='textbox'>";
	while ($dataAudit = dbarray($auditResult)) {
		$user_groups = (strpos($dataAudit['at_Groups'], ".") == 0 ? explode(".", substr($dataAudit['at_Groups'], 1)) : explode(".", $dataAudit['at_Groups']));
		for ($i = 0;$i < count($user_groups);$i++) {
			if ($i != (count($user_groups)-1)) { $sepa = " | "; } else { $sepa = ""; }
			$auditGroup .= getgroupname($user_groups[$i]) . $sepa;
		}

		if($dataAudit['at_Level']<>0){
			$auditLevel = getuserlevel($dataAudit['at_Level']);
		} else {
			$auditLevel = 'Guest';
		}

		if($dataAudit['at_Browser']<>""){
			$browserUsed = $dataAudit['at_Browser'];
		} else {
			$browserUsed = "---";
		}


		if($dataAudit['at_Referrer']<>""){
			$ReferrerURL = "<tr><td colspan=7 class='textbox'><b>".$locale['at_009']."</b><br>".$dataAudit['at_Referrer']."</td></tr>";
		} else {
			$ReferrerURL = "";
		}

		echo "<tr>
			<td align='center' class='textbox' width='14%'><b>".$locale['at_001']."</b></td>
			<td align='center' class='textbox' width='14%'><b>".$locale['at_002']."</b></td>
			<td align='center' class='textbox' width='14%'><b>".$locale['at_003']."</b></td>
			<td align='center' class='textbox' width='14%'><b>".$locale['at_004']."</b></td>
			<td align='center' class='textbox' width='14%'><b>".$locale['at_005']."</b></td>
			<td align='center' class='textbox' width='14%'><b>".$locale['at_006']."</b></td>
			<td align='center' class='textbox' width='14%'><b>".$locale['at_007']."</b></td>
			</tr>
			<tr>
			<td align='center' class='textbox' width='14%'>".$dataAudit['at_IP'] . "</td>
			<td align='center' class='textbox' width='14%'>".$browserUsed . "</td>
			<td align='center' class='textbox' width='14%'>".$dataAudit['at_OS'] ."</td>
			<td align='center' class='textbox' width='14%'>".date("D F d, Y h:i:s A", $dataAudit['at_Date'])."</td>
			<td align='center' class='textbox' width='14%'>".$dataAudit['at_Name'] . "</td>
			<td align='center' class='textbox' width='14%'>".$auditLevel . "</td>
			<td align='center' class='textbox' width='14%'>".$auditGroup . "</td>
			</tr>
			<tr><td colspan=7 class='textbox'><b>".$locale['at_008']."</b><br><a href='".$dataAudit['at_Page']."'>".$dataAudit['at_Page']."</a></td></tr>";

			//if (!eregi ($_SERVER['HTTP_HOST'], $dataAudit['at_Referrer']) || $dataAudit['at_Referrer']<>0) {
				echo $ReferrerURL;
			//}
			echo "<tr><td colspan=7 class='textbox'><b>".$locale['at_010']."</b><br>".$dataAudit['at_AgentDetail']."</td></tr>
				<tr><td colspan=7><hr></td></tr>";
			unset($auditLevel);
			unset($auditGroup);
	}
	echo "</table";

echo "<center>".makepagenav($rowstart,7,$rows,10,FUSION_SELF."?")."</center>";
closetable();
require_once BASEDIR."footer.php";
} else{
	redirect (BASEDIR."index.php");
}
?>